# Health

Liveness/readiness probes.

Generated from `apps/api/openapi.json`. HTML version: https://docs.institflow.com/en/reference/health

2 operations.

## GET /api/v1/health/live

Liveness probe — process is up.

- Operation id: `HealthController_live_v1`
- Permission: —
- Auth: public (no credential)
- `Idempotency-Key`: not required

### Responses

**200** — The process is running.

| Property | Type | Required | Constraints |
| --- | --- | --- | --- |
| `status` | enum: "ok" | yes |  |

Every other status answers with the shared `ErrorEnvelope` — see
https://docs.institflow.com/md/en/error-codes.md

### Example request

```bash
curl -X GET "https://your-institute.example/api/v1/health/live" \
  -H "Authorization: Bearer $INSTITFLOW_API_KEY"
```

## GET /api/v1/health/ready

Readiness probe — dependencies (Postgres, Redis) are reachable.

- Operation id: `HealthController_ready_v1`
- Permission: —
- Auth: public (no credential)
- `Idempotency-Key`: not required

### Responses

**200** — All dependencies are reachable.

| Property | Type | Required | Constraints |
| --- | --- | --- | --- |
| `status` | enum: "ok" \| "error" | yes |  |
| `checks` | object | yes |  |

**503** — At least one dependency is unreachable.

| Property | Type | Required | Constraints |
| --- | --- | --- | --- |
| `status` | enum: "ok" \| "error" | yes |  |
| `checks` | object | yes |  |

Every other status answers with the shared `ErrorEnvelope` — see
https://docs.institflow.com/md/en/error-codes.md

### Example request

```bash
curl -X GET "https://your-institute.example/api/v1/health/ready" \
  -H "Authorization: Bearer $INSTITFLOW_API_KEY"
```
